# This is a sample build configuration for Python.
# Check our guides at https://confluence.atlassian.com/x/x4UWN for more examples.
# Only use spaces to indent your .yml configuration.
# -----
# You can specify a custom docker image from Docker Hub as your build environment.
image: continuumio/anaconda:latest

pipelines:
  default:
    - step:
        script: # Modify the commands below to build your repository.
          - apt-get -y install libgl1-mesa-glx
          - conda update conda
          - conda create --name resultsanalysis python=3.6 numpy scipy matplotlib lxml spyder
          - source activate resultsanalysis
          - conda install -c rdkit rdkit=2017.03.1
          - pwd
          - ls
          - cd ../
          - git clone git@bitbucket.org:mdd31/resultsanalysis.git
          - ls
          - cd resultsanalysis
          - pip install .
          - cd ../build
          - pip install .
          - cd solventmapcreator/test/
          - python solvationmapcreatortests.py